Questions tagged [packages]

A package is a specific piece of software which can be installed and uninstalled on a system.

43 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
8
votes
0answers
1k views

Where to get debian mirror status?

The following command fails right now (14:16 in EET timezone): docker run debian:buster apt-get update The error being: $ docker run debian:buster apt-get update Get:2 http://deb.debian.org/debian ...
4
votes
2answers
1k views

Install package from oldstable (wheezy) to stable (jessie)

I want to install the package which is missing in jessie from wheezy. It is like backport the other way. I need gcc-4.7, but jessie provides only gcc-4.9. Unstable provides gcc-4.7 only for arm ...
4
votes
0answers
1k views

Easily spoof lsb_release output for different versions

I’m often rebuilding software packages (mostly Debian) for older versions (of both Debian and Ubuntu, including oldoldstable). Some of these packages use the lsb_release command to figure out the ...
2
votes
1answer
801 views

How to create packages in SaltStack

I have installed Salt-master in my ubuntu 12.04 machine and salt minion in ubuntu 12.04. I want to install package containing like svn,mongodb,postgres,maven,python in the salt-minion. how to create ...
1
vote
1answer
64 views

Redhat 7.4 fresh VM add repository for slapd, ldap-utils package

I am trying to redo steps from: https://youtu.be/6ls6kRvGkrU?t=100 But there is Ubuntu, and i am wondering can i get the same packages on redhat 7.4? Currently they are missing: [k@localhost ~]$ ...
1
vote
1answer
45 views

“apt install” didn't work but “dpkg -i” did

I tried to port qemu-related packages ("qemu-system-data,"...etc.) from the Ubuntu disco to xenial. I downloaded the qemu-system-data package, extracted it, modified control file and then re-build it ...
1
vote
0answers
134 views

Spacewalk Clients Not Running Yum Updates

The clients registered with my spacewalk server report needing updates but when I schedule a event to update the packages on the clients they never perform the update. The little clock icon appears on ...
1
vote
0answers
169 views

Linker error in SUSE Linux Enterprise Server 12 SP3

Our machine was in SUSE Linux Enterprise Server 11 SP4 until when we recently moved to SUSE Linux Enterprise Server 12 SP3. Our C++ tools were compiling without any problem on SuSe 11. But when we ...
1
vote
0answers
30 views

Upgrade NuGet Powershell Cmdlets

I'm attempting to use NuGet powershell cmdlets mentioned here. I'm having a problem with the fact that I use VS2015 and my machines NuGet package source is pointing to "https://api.nuget.org/v3/index....
1
vote
0answers
719 views

Resolve a dependacy fail with libc-bin on debian

I had a very old server on etch and i tried to upgrade it to jessie. everything was good until wheezy when i made dist-upgrade, it try to upgrade libc6 WARNING: this version of the GNU libc ...
1
vote
0answers
293 views

Yum error CentOS 6.7, can't get connected to the package http://packages.sw.be/rpmforge-release_rpmforge-release-0.5.2-2.el6.rf.i686.rpm

I tried yum clean all and yum update and then I try yum erase apf and yum erase doesn't work because it can't get connected to the package mentioned in a title. I am connected to the internet and ...
1
vote
0answers
575 views

Create custom package from nginx source - renaming nginx to custom-nginx

My dist is Ubuntu 14.04 use case I am attempting to create my own packaged nginx called 'custom-nginx'. It needs to install itself into alternative directories as so it does not interfere with the ...
1
vote
1answer
173 views

Prevent debian package from being removed by puppet

is there a way to prevent a debian package from being removed? I want to prevent any resolution of "replaces" and "breaks" attributes that would lead to removing that package while being able to ...
1
vote
0answers
1k views

Error installing Python packages on an AWS Ubuntu server

I am trying to install the Ansible control server on Ubuntu 14.x (an AWS instance). When trying to install the dependencies, I saw an error. I'm not sure what I need to do. Is this an ignorable ...
1
vote
0answers
3k views

No package php-devel available CentOS

I try to install php-devel package on my CentOS VPS and I get this output : No package php-devel available. I run this command : yum -y install php-devel Output : Loaded plugins: fastestmirror, ...
1
vote
1answer
947 views

Fedora update fails for “filesystem” package

I have Fedora 19 currently installed and the filesystem package has shown up in the updates. I find it a little peculiar on how to actually update the filesystem package. Running transaction Updating ...
1
vote
1answer
378 views

Is ffmpeg incorrectly interpreting .aif files?

Being on an Ubuntu 10.04 server i installed the ffmpeg packages with apt. ffmpeg is working afterwards, and doing as it should. Almost. For testing purposes i uploaded a few audiofiles. One of them, ...
1
vote
0answers
2k views

libreadline6-dev broken package error

OS: Debian Squeeze x64 running on XenServer Have been googling the error with no luck (or I just fail at googling); any help on resolving this? Any would be greatly appreciated! -Also posted on ...
1
vote
1answer
37 views

How to safely and smoothly update packages on server?(by apt)

On my own computer, I have been used to run apt-get upgrade directly for years. But few days ago I have a chance to admin a ubuntu server. I guess my old habit is bad. Should/how I update security ...
1
vote
1answer
132 views

How to survey the packages various Linux distributions install by default (without downloading each distro)?

I'm trying to determine the level of support enjoyed by various software packages across all major Linux distributions. That is, for a given package, find which distros include it in the default ...
0
votes
1answer
65 views

Debian package set keep old conffile - not over apt globally

I want to update a own debian-package on different servers. I would like to keep the old conf file, if it exists and not to say always no if prompt is asking what I want to do : The default action is ...
0
votes
0answers
58 views

Samba AD DC and --enable-selftest requires lmdb 0.9.16 or later

why i got that error after ./configure ?? any help please ? i got the mdb last version Modules complémentaires chargés : fastestmirror Loading mirror speeds from cached hostfile base: fedora.mirror....
0
votes
0answers
9 views

Is there a place to track the package versions included in distribution releases?

I'm specifically looking for Fedora/RHEL/CentOS, but a general solution would be fine... I'm looking for a place to track what package versions of applications are / will be included in certain ...
0
votes
1answer
14 views

Conflic install package solution?

I need to install auditd from package because my CentOS 6.6 server can't use yum update. But I got some problem and can't install them: rpm -i audit-libs-2.4.5-6.el6.i686.rpm audit-2.4.5-6.el6.i686....
0
votes
1answer
48 views

Compatition package for CentOS6.6

my CentOS 6.6 linux kernel is: 2.6.32-642.6.2.el6.i686 #1 SMP Wed Oct 26 06:14:53 UTC 2016 I want to upgrade my auditd package to newer version, but there are many choices and I don't know which is ...
0
votes
0answers
33 views

Solaris 11.3 add older package to repo

I'm attempting to intall a local zone but it fails with package dependancy. It seems my repo was updated and it no longer contains the older version of the package that matches the global zone. Where ...
0
votes
1answer
943 views

No package php-imap available on CentOS 6

I'm running a dedicated server with CentOS 6 64bit, here is the output when trying to install IMAP: [root@localhost ~]# yum install php-imap Loaded plugins: fastestmirror Loading mirror speeds from ...
0
votes
0answers
27 views

Unable to install any packages even after enabling remi or adding other mirrors

I'm trying to install the php-xml package. I've tried various solutions and contacted support about this issue yet the following still prompts whenever i'm trying to install the php-xml package. My ...
0
votes
0answers
1k views

Installing packages in SLES 12 SP3

I'm new to Suse and I have no idea how to do anything here. This is something I'm terribly new at and I can't figure out some basic stuff. First off, I'm used to Ubuntu. To install packages in Suse I'...
0
votes
1answer
375 views

Debian 9 build PHP7.0 with --with-fpm-acl fails

I need to enable support for POSIX ACL in PHP-FPM. I can get ACL list with getfacl and set them with setfacl -m from shell so my kernel support it. I've downloaded sources of PHP7.0_7.0.19 with $ cd /...
0
votes
1answer
99 views

Why apt on debian is showing package version different than command version

I was automating some packages requirements with ansible and wanted to freeze their version and I found out I am not sure which version is being used by the system. The debian apt-get commands give a ...
0
votes
1answer
614 views

Installing development tools packages error Centos 6.6

I'm trying to install curl-devel package as a prior step to installation of git 2.x.x: yum install curl-devel But I get many errors like this one: Error: Package: gcc-c++-4.4.7-4.el6.x86_64 (@base)...
0
votes
0answers
2k views

How do I install a virtual package?

I'm trying to install postgis with aptitude on Ubuntu 15.10 and is having problems with virtual packages that prevent the installation. me@laptop:~$ sudo aptitude install postgis The following NEW ...
0
votes
1answer
672 views

Installing packages inside a docker container using saltstack

Ive have been looking for tutorials to help me understand it but my searches has been unsuccessful. so I was wondering if it is possible for a Saltstack Master to install packages, say apache-mysql-...
0
votes
0answers
238 views

Is the lmdb-devel package necessary for installing the cfengine on RHEL v.7 via an RPM .spec file?

I have a problem when I try to build from my spec file. I run this: rpmbuild -ba newpackage.spec I see a great deal of output. It ends with these lines: configure: error: Cannot find Lightning ...
0
votes
0answers
306 views

Manual interactive proxy to install packages on server without internet

I need to install some rpm, python and R packages on a server that has no internet connexion: I can only ssh to it. I can download the packages and scp them to the server, then install them manually ...
0
votes
0answers
417 views

Apt-get install removed packages

During a puppet run, ia32-libs was installed, this seems to have caused several packages to be uninstalled but I'm not sure why.. Can anyone shine any light on the matter? Here's the apt log entry: ...
0
votes
0answers
570 views

rpm dependency failed to install, package installed anyway

I have this issue and I would like to understand why it is like this. I have build 3 really simple rpm packages called a, b and c, and I made a independant, b depending on a and c depending on a and b....
0
votes
1answer
263 views

How does one rebuild a single PHP extension package on Debian?

In trying to get ODBC PDO working with Microsoft's MSSQL driver on Debian I've found that I need to apply patches to the PHP extension (see https://bugs.php.net/bug.php?id=50444 for those patches). ...
0
votes
1answer
134 views

How to solve mysql server 5.5 update dependency issue?

since a month or two i cannot update package on my ubuntu server. The problem concern the mysql package which seems newer on the server that the minimum required ?? : lm@s8:~# sudo apt-get upgrade ...
0
votes
1answer
173 views

Backporting packages should reverse dependencies be rebuilt

I'm using Ubuntu Jaunty on a few machines and am in the process of backporting / custom compiling a few deb packages to update PHP and OpenSSL. My question is though, should I also be recompiling ...
0
votes
1answer
589 views

Installing php-hash on SUSE 10.1

I need the PHP function hash_hmac which is not part of my distribution on my virtual server running SUSE 10.1. Trying to install it with yast2 --install php-hash leads to the following message: No ...
-1
votes
1answer
604 views

Having issues installing Pecl Phar package - make failed

On Centos 6, php 5.5 I am trying to install the PHAR package with PECL. During the installation I get an "make failed" error: creating libtool appending configuration tag "CXX" to libtool configure: ...